Security Bulletin: Vulnerabilities in AppScan Enterprise and Policy Tester

Flash (Alert)


Abstract

Following an advanced ethical hacking activity conducted by IBM security experts, part of product testing mandated by the IBM Secure Engineering Framework, a series of security flaws in IBM Security AppScan Enterprise and Rational Policy Tester were uncovered. These vulnerabilities are addressed in a recently released product version: 8.6.0.1 for AppScan Enterprise and 8.5.0.2 for Policy Tester.

Content

VULNERABILITY DETAILS

Remote code execution using function variables

DESCRIPTION: An attacker could execute malicious code on client/server machines using a specially crafted settings file using custom function variables.

AFFECTED PLATFORMS: Running on Microsoft Windows:

  • Versions 8.0 through 8.6 of Rational AppScan Enterprise/ Security AppScan Enterprise
  • Versions 8.0 through 8.5.0.1 of Rational Policy Tester


REMEDIATION: The recommended solution is to apply the fix for each named product as soon as practical. Please see below for information about the fixes available.

FIX: For IBM Security AppScan Enterprise, IBM Rational AppScan Enterprise and Rational Policy Tester:

For version 8.0 to 8.6 of AppScan Enterprise
  • Upgrade to version 8.6.0.1
  • If you are unable to upgrade to version 8.6.0.1, contact IBM Technical Support.
For version 8.0 to 8.5.0.1 of Policy Tester
  • Upgrade to version 8.5.0.2
  • If you are unable to upgrade to version 8.5.0.2, contact IBM Technical Support.
WORKAROUND: Not applicable; upgrade to version 8.6.0.1 for AppScan Enterprise and 8.5.0.2 for Policy Tester.

-------------------------------------------------------------------


The remote tomcat web server is susceptible to a cross-site scripting attack.

CVE ID: CVE-2011-0013

DESCRIPTION: Apache Tomcat is vulnerable to cross-site scripting, caused by improper validation of user-supplied input by when displaying web application data. A remote attacker could exploit this vulnerability using the HTML Manager interface to inject malicious script into a Web page which would be executed in a victim's Web browser within the security context of the hosting Web site, once the page is viewed. An attacker could use this vulnerability to steal the victim's cookie-based authentication credentials.


CVSS Base Score: 4.3
CVSS Temporal Score: See http://xforce.iss.net/xforce/xfdb/65160 for the current score
CVSS String: (AV:N/AC:M/Au:N/C:N/I:P/A:N)


AFFECTED PLATFORMS: Running on Microsoft Windows:
- Versions 8.5 through 8.6 of Rational AppScan Enterprise/ Security AppScan Enterprise
- Versions 8.5 through 8.5.0.1 of Rational Policy Tester
- Versions 8.5 through 8.5.0.1 of Rational AppScan Reporting Console

REMEDIATION: The recommended solution is to apply the fix for each named product as soon as practical. Please see below for information about the fixes available.

FIX: For IBM Security AppScan Enterprise, IBM Rational AppScan Enterprise and Rational Policy Tester:

For version 8.5 to 8.6 of AppScan Enterprise
  • Upgrade to version 8.6.0.1
  • If you are unable to upgrade to version 8.6.0.1, contact IBM Technical Support.
For version 8.5 to 8.5.0.1 of Policy Tester
  • Upgrade to version 8.5.0.2
  • If you are unable to upgrade to version 8.5.0.2, contact IBM Technical Support.
For version 8.5 to 8.5.0.1 of Rational AppScan Reporting Console
  • Upgrade to version 8.6.0.1
  • If you are unable to upgrade to version 8.6.0.1, contact IBM Technical Support

WORKAROUND: Not applicable; upgrade to version 8.6.0.1 for AppScan Enterprise / Reporting Console and 8.5.0.2 for Policy Tester.
-------------------------------------------------------------------

The remote tomcat web server is affected by multiple vulnerabilities.

CVE-ID(s): CVE-2011-1184, CVE-2011-2204, CVE-2011-2526, CVE-2011-2729, CVE-2011-3190, CVE-2011-5062, CVE-2011-5063, CVE-2011-5064

DESCRIPTION: The following vulnerabilities have been found in the remote tomcat web server.

CVE-2011-1184
CVSS Base Score: 5
CVSS Temporal Score: See http://xforce.iss.net/xforce/xfdb/70052 for the current score
CVSS String: (AV:N/AC:L/Au:N/C:P/I:N/A:N)

CVE-2011-2204
CVSS Base Score: 2.1
CVSS Temporal Score: See http://xforce.iss.net/xforce/xfdb/68238 for the current score
CVSS String: (AV:L/AC:M/Au:N/C:P/I:N/A:N)

CVE-2011-2526
CVSS Base Score: 6.4
CVSS Temporal Score: See http://xforce.iss.net/xforce/xfdb/68541 for the current score
CVSS String: (AV:L/AC:M/Au:N/C:P/I:P/A:P)

CVE-2011-2729
CVSS Base Score: 5
CVSS Temporal Score: See http://xforce.iss.net/xforce/xfdb/69161 for the current score
CVSS String: (AV:N/AC:L/Au:N/C:P/I:N/A:N)

CVE-2011-3190
CVSS Base Score: 7.5
CVSS Temporal Score: See http://xforce.iss.net/xforce/xfdb/69472 for the current score
CVSS String: (AV:N/AC:L/Au:N/C:P/I:P/A:P)

CVE-2011-5062
CVSS Base Score: 7.5
CVSS Temporal Score: See http://xforce.iss.net/xforce/xfdb/72436 for the current score
CVSS String: (AV:N/AC:L/Au:N/C:P/I:P/A:P)

CVE-2011-5063
CVSS Base Score: 7.5
CVSS Temporal Score: See http://xforce.iss.net/xforce/xfdb/72437 for the current score
CVSS String: (AV:N/AC:L/Au:N/C:P/I:P/A:P)

CVE-2011-5064
CVSS Base Score: 7.5
CVSS Temporal Score: See http://xforce.iss.net/xforce/xfdb/72438 for the current score
CVSS String: (AV:N/AC:L/Au:N/C:P/I:P/A:P)


AFFECTED PLATFORMS: Running on Microsoft Windows:
- Versions 8.5 through 8.6 of Rational AppScan Enterprise/ Security AppScan Enterprise
- Versions 8.5 through 8.5.0.1 of Rational Policy Tester
- Versions 8.5 through 8.5.0.1 of Rational AppScan Reporting Console

REMEDIATION: The recommended solution is to apply the fix for each named product as soon as practical. Please see below for information about the fixes available.

FIX: For IBM Security AppScan Enterprise, IBM Rational AppScan Enterprise and Rational Policy Tester:

For version 8.5 to 8.6 of AppScan Enterprise
  • Upgrade to version 8.6.0.1
  • If you are unable to upgrade to version 8.6.0.1, contact IBM Technical Support.
For version 8.5 to 8.5.0.1 of Policy Tester
  • Upgrade to version 8.5.0.2
  • If you are unable to upgrade to version 8.5.0.2, contact IBM Technical Support.
For version 8.5 to 8.5.0.1 of Rational AppScan Reporting Console
  • Upgrade to version 8.6.0.1
  • If you are unable to upgrade to version 8.6.0.1, contact IBM Technical Support

WORKAROUND: Not applicable; upgrade to version 8.6.0.1 for AppScan Enterprise / Reporting Console and 8.5.0.2 for Policy Tester.
-------------------------------------------------------------------

Oracle October 2011 Java Critical Patch Update - 5.0

DESCRIPTION: Summary advisory describing multiple CVEs to be addressed in upcoming Oracle and IBM Java releases. An overview of the Oracle security fixes can be found here:

http://www.oracle.com/technetwork/topics/security/javacpuoct2011-443431.html


AFFECTED PLATFORMS: Running on Microsoft Windows:
- Versions 8.5 through 8.6 of Rational AppScan Enterprise/ Security AppScan Enterprise
- Versions 8.5 through 8.5.0.1 of Rational Policy Tester
- Versions 8.5 through 8.5.0.1 of Rational AppScan Reporting Console

REMEDIATION: The recommended solution is to apply the fix for each named product as soon as practical. Please see below for information about the fixes available.

FIX: For IBM Security AppScan Enterprise, IBM Rational AppScan Enterprise and Rational Policy Tester:

For version 8.5 to 8.6 of AppScan Enterprise
  • Upgrade to version 8.6.0.1
  • If you are unable to upgrade to version 8.6.0.1, contact IBM Technical Support.
For version 8.5 to 8.5.0.1 of Policy Tester
  • Upgrade to version 8.5.0.2
  • If you are unable to upgrade to version 8.5.0.2, contact IBM Technical Support.
For version 8.5 to 8.5.0.1 of Rational AppScan Reporting Console
  • Upgrade to version 8.6.0.1
  • If you are unable to upgrade to version 8.6.0.1, contact IBM Technical Support

WORKAROUND: Not applicable; upgrade to version 8.6.0.1 for AppScan Enterprise / Reporting Console and 8.5.0.2 for Policy Tester.

-------------------------------------------------------------------

REFERENCES:
· Complete CVSS Guide
· On-line Calculator V2

*The CVSS Environment Score is customer environment specific and will ultimately impact the Overall CVSS Score. Customers can evaluate the impact of this vulnerability in their environments by accessing the links in the Reference section of this alert.

Note: According to the Forum of Incident Response and Security Teams (FIRST), the Common Vulnerability Scoring System (CVSS) is an "industry open standard designed to convey vulnerability severity and help to determine urgency and priority of response." IBM PROVIDES THE CVSS SCORES "AS IS" WITHOUT WARRANTY OF ANY KIND, INCLUDING THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. CUSTOMERS ARE RESPONSIBLE FOR ASSESSING THE IMPACT OF ANY ACTUAL OR POTENTIAL SECURITY VULNERABILITY.

Cross reference information
Segment Product Component Platform Version Edition
Security Rational Policy Tester General Support Issues Windows 8.0, 8.5 Accessibility, Privacy, Quality
Security Rational AppScan Reporting Console Not Applicable Windows 8.0 Reporting Console

Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

Security AppScan Enterprise
General Support Issues

Software version:

8.0, 8.5, 8.6

Operating system(s):

Windows

Reference #:

1609004

Modified date:

2013-04-24

Translate my page

Machine Translation

Content navigation